//Player class header

#ifndef __PLAYER_H_INCLUDED__
#define __PLAYER_H_INLCUDED__

#include<SDL2/SDL.h>
#include<iostream>
#include"dt.h"
#include"entity.h"
#include<cmath>

class Entity;

class Player: public Entity{
	public:
		void print(int cameraX);
		int check(SDL_Rect rectB);
		void init(int x, int y,int w, int h,SDL_Renderer** render);
		//SDL_Rect getRectangle();
	private:
		int* coll;
		void move();
		int intVelX();
		SDL_Renderer** renderer;
		DeltaTime dTime;
		bool ground;
		bool topCollision;
		//int posX, posY;
		float velocityX = 0;
		float velocityY = 0;
		bool isRunning = false;
		int oldPosX, oldPosY;
};

#endif
